#ifndef PREPOSITION_H_INCLUDED
#define PREPOSITION_H_INCLUDED

#include <string>
#include <map>
#include <set>
#include <vector>
#include <fstream>

#include "boost/algorithm/string.hpp"

#include "grammarCase.h"


namespace PP
{

	struct PrepositionRecord
	{
		std::wstring word;
		
		bool availableForGenitive;
		bool availableForDative;
		bool availableForAccusative;
		bool availableForInstrumental;
		bool availableForPrepositional;

		std::vector<TranslationUnit> translationUnitArr;

		PrepositionRecord();

		PrepositionRecord(std::wstring line);

		bool operator<(const PrepositionRecord& other) const
		{
			return word < other.word;
		}

	};

	extern std::vector<PrepositionRecord> PrepositionRecordArr;

	std::set<PrepositionRecord> RecognizeWord(std::wstring word);


	void LoadWordSet(std::string filename);
}

#endif //PREPOSITION_H_INCLUDED
